Subject: [Isis-wg] I-D ACTION:draft-proust-flow-routing-00.txt

From: [email-masked]
Date: Thu, 05 Feb 2004 15:40:10 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: An approach for Routing at Flow level
	Author(s)	: C. Proust
	Filename	: draft-proust-flow-routing-00.txt
	Pages		: 58
	Date		: 2004-2-5
	
   This document proposes an approach that aims at load balancing flows 
   among multiple routes that are estimated to be slightly loaded.  
   Mainly, it designs a router-based, end-to-end, congestion control 
   mechanism by means of a piggybacking procedure which is distributed 
   both in routers and terminals.  This document proposes a set of 
   functional extensions that might be applied to the IPv4 protocol and 
   to the ISIS routing protocol

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-proust-flow-routing-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-proust-flow-routing-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-proust-flow-routing-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Hannes Gredler <[email-masked]>
Date: Thu, 5 Feb 2004 22:35:15 +0100

christophe,

just went through your draft and wanted to point your attention
to the fact that the majority of hardware based route-lookup engines
cannot parse ip options in the fast path;

furthermore in most core networks ip options processing
[beside the router-alert option] is disabled;

as i understand your draft it heavy relies on option processing,
which renders the ideas in your draft close to not-deployable;

sorry;

/hannes

On Thu, Feb 05, 2004 at 03:40:10PM -0500, [email-masked] wrote:
| A New Internet-Draft is available from the on-line Internet-Drafts directories.
| 
| 
| 	Title		: An approach for Routing at Flow level
| 	Author(s)	: C. Proust
| 	Filename	: draft-proust-flow-routing-00.txt
| 	Pages		: 58
| 	Date		: 2004-2-5
| 	
|    This document proposes an approach that aims at load balancing flows 
|    among multiple routes that are estimated to be slightly loaded.  
|    Mainly, it designs a router-based, end-to-end, congestion control 
|    mechanism by means of a piggybacking procedure which is distributed 
|    both in routers and terminals.  This document proposes a set of 
|    functional extensions that might be applied to the IPv4 protocol and 
|    to the ISIS routing protocol
| 
| A URL for this Internet-Draft is:
| http://www.ietf.org/internet-drafts/draft-proust-flow-routing-00.txt
| 
| To remove yourself from the IETF Announcement list, send a message to 
| ietf-announce-request with the word unsubscribe in the body of the message.
| 
| Internet-Drafts are also available by anonymous FTP. Login with the username
| "anonymous" and a password of your e-mail address. After logging in,
| type "cd internet-drafts" and then
| 	"get draft-proust-flow-routing-00.txt".
| 
| A list of Internet-Drafts directories can be found in
| http://www.ietf.org/shadow.html 
| or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
| 
| 
| Internet-Drafts can also be obtained by e-mail.
| 
| Send a message to:
| 	[email-masked].
| In the body type:
| 	"FILE /internet-drafts/draft-proust-flow-routing-00.txt".
| 	
| NOTE:	The mail server at ietf.org can return the document in
| 	MIME-encoded form by using the "mpack" utility.  To use this
| 	feature, insert the command "ENCODING mime" before the "FILE"
| 	command.  To decode the response(s), you will need "munpack" or
| 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
| 	exhibit different behavior, especially when dealing with
| 	"multipart" MIME messages (i.e. documents which have been split
| 	up into multiple messages), so check your local documentation on
| 	how to manipulate these messages.
| 		
| 		
| Below is the data which will enable a MIME compliant mail reader
| implementation to automatically retrieve the ASCII version of the
| Internet-Draft.

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg